<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_2e858fb1973" . "337f53ff85c1" . "04fcb38f4" => base64_decode("cHVi" . "bGlz" . "aGVk"), "_6a90de6af30bf720b668cfb57" . "0e606de" => base64_decode("cHJl" . "dl9z" . "dGF0" . "ZQ=="), "_b2f5a100" . "451164396" . "178c16d2a" . "5c6899" => base64_decode("cHJldl90aXRsZQ=" . "="), "_939c6a45ff74323" . "dbef487ed15753a7" . "c" => base64_decode("c3RhdGU" . "="), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl0" . "bGU="), "_4c760fb02a4" . "9c55509ba087" . "b84fbda45" => base64_decode("ZHJhZ" . "nQ="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_b2f5a100451164396178c16d2a5" . "c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["tit" . "le"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_6a90de6af30bf720b668cfb570e60" . "6de"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_939c6a45ff" . "74323dbef48" . "7ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_939c6a45ff" . "74323dbef48" . "7ed15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4c760fb02a49c" . "55509ba087b84f" . "bda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_2e858fb" . "1973337f" . "53ff85c1" . "04fcb38f" . "4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}